Debian Bug report logs - #584123
error not show if keyboard layout not set

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Roman V. Nikolaev" <rshadow@rambler.ru>

Date: Tue, 1 Jun 2010 13:06:01 UTC

Severity: normal

Tags: moreinfo, unreproducible

Found in version live-magic/1.11

Fixed in version 1.14+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Tue, 01 Jun 2010 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 01 Jun 2010 13:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: submit@bugs.debian.org
Subject: [live-magic] Error not show if keyboard layout not set
Date: Tue, 01 Jun 2010 17:03:26 +0400
[Message part 1 (text/plain, inline)]
Package: live-magic
Version: 1.11
Severity: normal

--- Please enter the report below this line. ---

I try to create new image but not set keyboard layout (All other
settings are set). I come to end of master dialog and try to push
"Apply". Nothing to happen. Then I come back and set keyboard layout, go
to end page and press "Apply". All ok.

Need a message if important fields not set or don`t run on next page.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-4-amd64

Debian Release: squeeze/sid
  990 testing         gq.net.ru

--- Package information. ---
Depends              (Version) | Installed
==============================-+-============
python                (>= 2.4) | 2.5.4-9
python-support     (>= 0.90.0) | 1.0.8
live-helper          (>= 2.0~) | 2.0~a12-1
python-glade2        (>= 2.10) | 2.17.0-2
python-gtk2                    | 2.17.0-2
python-vte                     | 1:0.24.1-1
gksu                           | 2.0.2-2+b1
xdg-utils                      | 1.0.2+cvs20100307-1


Recommends        (Version) | Installed
===========================-+-===========
cdebootstrap                |


Package's Suggests field is empty.




-- 

         Roman V. Nikolaev

mail:        rshadow@rambler.ru
icq:         198-364-657
jabber:      rshadow@jabber.org
site:        http://www.rshadow.ru

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Thu, 03 Jun 2010 05:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jun 2010 05:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 584123@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Roman V. Nikolaev" <rshadow@rambler.ru>
Cc: 584123@bugs.debian.org
Subject: Re: Bug#584123: [live-magic] Error not show if keyboard layout not set
Date: Thu, 03 Jun 2010 07:35:02 +0200
tag 584123 unreproducible
tag 584123 moreinfo
thanks

On 06/01/2010 03:03 PM, Roman V. Nikolaev wrote:
> I try to create new image but not set keyboard layout (All other
> settings are set). I come to end of master dialog and try to push
> "Apply". Nothing to happen. Then I come back and set keyboard layout, go
> to end page and press "Apply". All ok.

as the keyboard is selected via a drop-down menu that doesn't contain
the 'null' value, there's no possibility that you can end up with no
keyboard option set.

please show how you could select no keyboard layout.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) unreproducible. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 05:39:04 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 05:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Thu, 03 Jun 2010 11:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jun 2010 11:39:15 GMT) Full text and rfc822 format available.

Message #19 received at 584123@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: Debian Bug Tracking System <owner@bugs.debian.org>
Cc: "Debian Live Project (live-magic for {584122})" <debian-live@lists.debian.org>, 584123@bugs.debian.org, control@bugs.debian.org
Subject: Re: Processed: Re: Bug#584122: closed by Daniel Baumann <daniel@debian.org> (reply to daniel@debian.org) (Re: Bug#584122: [live-magic] Can`t get Packages)
Date: Thu, 03 Jun 2010 15:37:18 +0400
[Message part 1 (text/plain, inline)]
tags 584122 -moreinfo -unreproducible
thanks

03.06.2010 15:09, Debian Bug Tracking System пишет:
> Processing commands for control@bugs.debian.org:
> 
>> reopen 584122
> Bug #584122 {Done: Daniel Baumann <daniel@debian.org>} [live-magic] [live-magic] Can`t get Packages
>> thanks
> Stopping processing here.
> 
> Please contact me if you need assistance.

I send you printscreens step by step.

On "8_1.png" You can see no one option selected. If I click "Next" on
this step then I take this bug in the end of master when try to ckick on
"Apply".

-- 

         Roman V. Nikolaev

mail:        rshadow@rambler.ru
icq:         198-364-657
jabber:      rshadow@jabber.org
site:        http://www.rshadow.ru
[1.png (image/png, attachment)]
[2.png (image/png, attachment)]
[3.png (image/png, attachment)]
[4.png (image/png, attachment)]
[5.png (image/png, attachment)]
[6.png (image/png, attachment)]
[7.png (image/png, attachment)]
[8_1.png (image/png, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Thu, 03 Jun 2010 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jun 2010 14:15:05 GMT) Full text and rfc822 format available.

Message #24 received at 584123@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "Roman V. Nikolaev" <rshadow@rambler.ru>, 584123@bugs.debian.org
Subject: Re: Bug#584123: [live-magic] Error not show if keyboard layout not set
Date: Thu, 03 Jun 2010 11:13:35 -0300
Roman,

On 06/01/2010 10:03 AM, Roman V. Nikolaev wrote:
> I try to create new image but not set keyboard layout (All other
> settings are set). I come to end of master dialog and try to push
> "Apply". Nothing to happen. Then I come back and set keyboard layout, go
> to end page and press "Apply". All ok.
>    

Please indicate the output of 'locale' on your system.

Please also indicate if the file /usr/share/i18n/SUPPORTED exists (is 
provided by the 'locales' package).

It looks like live-magic fails to set some default for the keyboard and 
locale if it can't find whatever values it detects as default in the 
lists used to populate the menus with choices.

Thanks,
Ben





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Thu, 03 Jun 2010 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jun 2010 14:27:05 GMT) Full text and rfc822 format available.

Message #29 received at 584123@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "Roman V. Nikolaev" <rshadow@rambler.ru>
Cc: 584123@bugs.debian.org
Subject: Re: Bug#584123: [live-magic] Error not show if keyboard layout not set
Date: Thu, 03 Jun 2010 11:21:42 -0300
Oh, also this may give us a clue about the keyboard:

grep XKBLAYOUT /etc/default/console-setup

I have found that if this is set to some value not present in 
/usr/share/live-magic/keyboard-layouts.txt, then no default will be set 
for the keyboard.


Ben

p.s. Although I don't think it's directly relevant to the problem 
discussed in this bug, I noticed during my review that live-magic is 
only checking /etc/default/console-setup, but in the squeeze version of 
console-setup, the keyboard layout is actually stored in 
/etc/default/keyboard, so this needs to be fixed to function as 
originally intended.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584123; Package live-magic. (Wed, 09 Jun 2010 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 09 Jun 2010 13:27:06 GMT) Full text and rfc822 format available.

Message #34 received at 584123@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: 584123@bugs.debian.org
Subject: Re: Bug#584122: [live-magic] Can`t get Packages
Date: Wed, 09 Jun 2010 17:23:39 +0400
[Message part 1 (text/plain, inline)]
locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=



ls -al /usr/share/i18n/
итого 80
drwxr-xr-x   4 root root  4096 Май 26 10:58 .
drwxr-xr-x 322 root root 12288 Июн  4 12:19 ..
drwxr-xr-x   2 root root 28672 Май 26 10:58 charmaps
drwxr-xr-x   2 root root 28672 Май 26 10:58 locales
-rw-r--r--   1 root root  7276 Май 21 01:16 SUPPORTED



grep XKBLAYOUT /etc/default/console-setup
# XKBLAYOUT="us,ru"



cat /usr/share/live-magic/keyboard-layouts.txt | grep -P "(us|ru)"
by	Belarus
ru	Russia
us	USA




cat /etc/default/keyboard
# If you change any of the following variables and HAL and X are
# configured to use this file, then the changes will become visible to
# X only if HAL is restarted.  In Debian you need to run
# /etc/init.d/hal restart

# The following variables describe your keyboard and can have the same
# values as the XkbModel, XkbLayout, XkbVariant and XkbOptions options
# in /etc/X11/xorg.conf.

XKBMODEL="pc105"
XKBLAYOUT="us,ru"
XKBVARIANT=","
XKBOPTIONS="lv3:ralt_switch,grp_led:scroll"

# If you don't want to use the XKB layout on the console, you can
# specify an alternative keymap.  Make sure it will be accessible
# before /usr is mounted.
# KMAP=/etc/console-setup/defkeymap.kmap.gz

-- 

         Roman V. Nikolaev

mail:        rshadow@rambler.ru
icq:         198-364-657
jabber:      rshadow@jabber.org
site:        http://www.rshadow.ru

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'error not show if keyboard layout not set' from '[live-magic] Error not show if keyboard layout not set' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 16 Sep 2010 19:06:13 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 22:22:04 GMT) Full text and rfc822 format available.

Notification sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 22:22:04 GMT) Full text and rfc822 format available.

Message #41 received at 584123-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 555897-done@bugs.debian.org,584123-done@bugs.debian.org,620036-done@bugs.debian.org,626912-done@bugs.debian.org,635082-done@bugs.debian.org,640637-done@bugs.debian.org,653310-done@bugs.debian.org,
Cc: live-magic@packages.debian.org, live-magic@packages.qa.debian.org
Subject: Bug#666991: Removed package(s) from unstable
Date: Thu, 05 Apr 2012 21:47:17 +0000
Version: 1.14+rm

Dear submitter,

as the package live-magic has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/666991

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 May 2012 07:35:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:26:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.